Author Topic: [NEWS] non-x86_64/aarch64 JSVALUE64 platforms affected WebKitGTK (Resolved)  (Read 1325 times)

tle

  • Sr. Member
  • ****
  • Posts: 314
  • Karma: +36/-0
    • View Profile
    • Trung's Personal Website
Thanks to Daniel Kolesa. The regression in JSCore of WebKit GTK which has marred the functionality of GNOME 3.36 is finally resolved. This issue is a blocker for GNOME 3.36 adoption on PowerPC64 platforms.

I found out about this issue during the GNOME 3.37 cycle but unable to pin point the commit that caused the issue. Fortunately, Daniel jumped in to save the day.

I am expecting the downstream Fedora 32 would publish new version of webkit2gtk3 RPM in a day or two.

Ref: https://bugs.webkit.org/show_bug.cgi?id=210685#c23
« Last Edit: September 15, 2020, 08:19:58 pm by tle »
Faithful Linux enthusiast

My Raptor Blackbird

MPC7500

  • Sr. Member
  • ****
  • Posts: 485
  • Karma: +32/-1
    • View Profile
    • Twitter
Re: [NEWS] non-x86_64/aarch64 JSVALUE64 platforms affected WebKitGTK
« Reply #1 on: May 08, 2020, 07:45:15 am »
Great. Luckily, I'm still on F31.

tle

  • Sr. Member
  • ****
  • Posts: 314
  • Karma: +36/-0
    • View Profile
    • Trung's Personal Website
Re: [NEWS] non-x86_64/aarch64 JSVALUE64 platforms affected WebKitGTK
« Reply #2 on: May 08, 2020, 10:21:23 am »
Great. Luckily, I'm still on F31.

I was thinking of going back to F31. There are so many packages that aren't playing nice with GCC10 :(
Faithful Linux enthusiast

My Raptor Blackbird

MPC7500

  • Sr. Member
  • ****
  • Posts: 485
  • Karma: +32/-1
    • View Profile
    • Twitter
Re: [NEWS] non-x86_64/aarch64 JSVALUE64 platforms affected WebKitGTK
« Reply #3 on: May 08, 2020, 12:47:07 pm »
I tried rawhide several weeks ago and a lot of GNOME extensions doesn't work properly, that was the reason I switched back.